Skip to main content
GET
/
endpoints
/
{endpoint_id}
/
logs
List Log Files
curl --request GET \
  --url https://external.aieev.cloud:5007/external/api/v1/endpoints/{endpoint_id}/logs \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://external.aieev.cloud:5007/external/api/v1/endpoints/{endpoint_id}/logs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://external.aieev.cloud:5007/external/api/v1/endpoints/{endpoint_id}/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "node_id": "<string>",
    "replica_id": "<string>",
    "filename": "<string>",
    "is_historical": true,
    "start_time": "2023-11-07T05:31:56Z",
    "end_time": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Pass your API key as a Bearer token. Create API keys in the project overview.

Path Parameters

endpoint_id
string
required

Unique endpoint ID.

Query Parameters

replica_id
string

Filter logs by a specific replica ID.

include_history
boolean
default:true

Set to false to exclude rotated historical logs and return only current active logs.

Response

200 - application/json

List of log files.

node_id
string

Node ID where the log is stored.

replica_id
string

Associated replica ID.

filename
string

Log file path. Use as the filename parameter in the /logs/file API.

is_historical
boolean

Whether this is a rotated historical log file from a terminated replica.

start_time
string<date-time> | null

Log start time. Only available for historical logs.

end_time
string<date-time> | null

Log end time. Only available for historical logs.